ホーム > フォーラム > その他 > mysql4を5に更新したら、ホームページを編集できなくなった

mysql4を5に更新したら、ホームページを編集できなくなった
投稿者: jtaiwa | 投稿日時: 2014/9/24 16:25 | 閲覧: 6964回
jtaiwa

レンタルサーバー:ロリポップから、「MySQL4 の提供を終了するので、
MySQL5 への移行を行っていただきますようお願いいたします」というメールが届いたので、
指示通りの作業をしたつもりなのですが、それ以後、ホームページにログインすると、
ログインはできるように見えるのですが、実際に編集しようとすると、
「編集できません((_MI_BWIKI_NOT_ANON_WRITABLE))」
などと表示されるのみで、困っています。

コメント(3)

新しいものから | 古いものから | ネスト表示 | RSS feed
Re: mysql4を5に更新したら、ホームページを編集できなくなった 
投稿者: pcboy | 投稿日時: 2014/10/1 19:43
pcboy

jtaiwaさん、こん**は、pcboyです。

xoopscubeに関連する情報が少ないので、なかなかアドバイスが出来ないと思います。
管理者メニューに表示されるサイト/システム情報やエラーが起きているモジュール名、バージョン等を記載した方が良いと思います。


サイト/システム情報
XC Legacyバージョン : XOOPS Cube Legacy 2.2.3 Beta 1
サーバー : Microsoft-IIS/7.5
PHPバージョン : 5.4.33
MySQLのバージョン : 5.5.39-log
使用しているモジュール : **モジュール Ver.XX.YY

以上、ではまた。

Re: mysql4を5に更新したら、ホームページを編集できなくなった 
投稿者: jtaiwa | 投稿日時: 2014/10/1 23:18 | 親コメント: #21493
jtaiwa

pcboyさん、こんばんは。返信ありがとうございます。
間違っていたらすみません。わかる範囲では以下の通りです。

引用:
サイト/システム情報
→www.taiwa.org/システム情報とは何でしょうか?
引用:
XC Legacyバージョン : XOOPS Cube Legacy 2.2.3 Beta 1
→調べ方がわかりません。
引用:
サーバー : Microsoft-IIS/7.5
→調べ方がわかりません。
引用:
PHPバージョン : 5.4.33
→5.2
引用:
MySQLのバージョン : 5.5.39-log

→•サーバ: mysql014.phy.lolipop.lan (mysql014.phy.lolipop.jp via TCP/IP)
 •サーバのバージョン: 5.6.14-log
 •プロトコルバージョン: 10
 •ユーザ: LA01322237@210.172.144.67
 •MySQL の文字セット: UTF-8 Unicode (utf8)

引用:
使用しているモジュール : **モジュール Ver.XX.YY

①webサーバ
•Apache
•MySQL クライアントのバージョン: 5.1.34
•PHP 拡張: mysql
②phpmyadmin
•バージョン情報: 3.4.9

Re: mysql4を5に更新したら、ホームページを編集できなくなった 
投稿者: pcboy | 投稿日時: 2014/10/2 7:27 | 親コメント: #21494
pcboy

jtaiwaさん、こん**は、pcboyです。

セキュリティ的にあまり宜しくないので、
上記のサーバ名は、伏せ字を使いましょう。

上記ユーザ名も、伏せ字を使いましょう。

xoopscube.jpのサイト管理者様へ
投稿記事の一部を伏せ字に訂正して下さい。

で、本題に戻って、
http://www.taiwa.org/ は普通のWebサイトの様で、
http://www.jtaiwa.org にアクセスすると、
http://www.jtaiwa.org/modules/bwiki/ がトップページとなり、
2004年頃のXOOPSに、B-Wiki(bwiki)モジュールの20050210版で、作者は http://ishii.mydns.jp/ で、
PukiWiki 1.4.5-2005/02/10 http://pukiwiki.org をベースにモジュール化しているもの。

他にも、以下の様なモジュールがある様に見えます。
modules/news ニュース
modules/newbb フォーラム
modules/mydownloads ダウンロード
modules/mylinks リンク集
modules/xcgal ギャラリー
modules/contact 問い合わせ
logcounterx あたりか? ログカウンタ

PHP 5.2.17が使われている様に見えます。

XOOPSもB-Wikiモジュールも、他のモジュールもだいぶ古いので、
PHP 5.2.17で、MySQL5.6.14に対応するには無理がある様に思います。

www.jtaiwa.org サイトを最初に構築された方か、
xoops or xoopscube に詳しい方に相談されることをお勧めします。

あとは書籍やWebサイト情報等で、xoops or xoopscubeについて勉強して、
現在のサイトのバックアップ(サイトのディレクトリ全体とMySQLのデータ)を使って、
ローカル環境(自分のパソコン等)にテスト用サイトを構築して見るとか。

以上、ではまた。

    投票(0)

    新しいものから | 古いものから | RSS feed
     
    To Top